<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <form>
        <input type="text" placeholder="Escriba un color ..." id="valor">
        <input type="button" onclick="color()" value="Ingresar">
        <p id="mensaje">Ingrese un color :</p>
    </form>
    <script>
/*
Pedir al usuario que escriba un color e indicar 
que acertó si se encuentra en el array colores que tiene azul,verde,naranja,amarillo. 
De lo contrario indicar que no acertó. 

*/
var ArrayColor=["azul","verde","naranja","amarillo"]
            function color(){
                var buscar= document.getElementById("valor").value
                buscar1= buscar.toLowerCase()
                console.log(buscar1)
                var encontrado= ArrayColor.indexOf(buscar1) 
                
                if (encontrado > -1){
                    console.log("SI Acertaste el color ingresado :"+ buscar1)
                    var elemento=document.getElementById("mensaje");
                    elemento.innerHTML = "SI Acertaste el color ingresado :"+ buscar1
                    
                }else{
                    console.log("NO Acertaste el color ingresado :"+ buscar1)
                    var elemento=document.getElementById("mensaje");
                    elemento.innerHTML = "NO Acertaste el color ingresado :"+ buscar1
                  
                }   

            }
            
            /*
            var elemento=document.getElementById("mensaje");
            var elemento1=document.getElementById("valor").value;
            console.log("hola"+ elemento1)
            elemento.innerHTML = "El color ingresado : "+elemento1 + (color() ? "SI Acertaste el color ingresado ": "NO Acertaste el color ingresado ")
            */
    </script>
</body>
</html>